Realm v10.15.1 Release Notes

Release Date: 2021-09-15 // about 1 month ago
  • โœจ Enhancements

    • ๐Ÿš€ Switch to building the Carthage release with Xcode 13.

    ๐Ÿ›  Fixed

    • ๐Ÿ›  Fix compilation error where Swift 5.5 is available but the macOS 12 SDK was not. This was notable for the Xcode 13 RC. This fix adds a #canImport check for the _Concurrency module that was not available before the macOS 12 SDK.

    Compatibility

    • Realm Studio: 11.0.0 or later.
    • ๐Ÿš€ APIs are backwards compatible with all previous releases in the 10.x.y series.
    • ๐Ÿš€ Carthage release for Swift is built with Xcode 13.0.
    • CocoaPods: 1.10 or later.
    • Xcode: 12.2-13.0.